simgear (1:2018.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.3.2+dfsg
    - Refresh patches
  * Use debhelper-compat (= 12)
  * Update to Standards-Version to 4.3.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 02 Feb 2019 00:19:04 +0100

simgear (1:2018.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.3.1+dfsg
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Dec 2018 22:58:59 +0100

simgear (1:2018.2.2+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Markus Wanner ]
  * Update homepage to use https protocol and point to home.flightgear.org
  * Replace disable_dns_test.patch with a more general
    disable_network_test.patch, keep building test binaries.
    Closes: #913381.
  * Bump S-V to 4.2.1: no changes required.
  * Extend the spelling fixes patch.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 11 Nov 2018 15:35:28 +0100

simgear (1:2018.2.2+dfsg-1) unstable; urgency=medium

  [ Markus Wanner ]
  * Add netbase to Build-Depends so that basic name resolution works
    during builds. Closes: #899074.

  [ Dr. Tobias Quathamer ]
  * New upstream version 2018.2.2+dfsg
    - Refresh patches
    - Add new patch to fix failing HTTP test
  * Update Standards-Version to 4.2.0, no changes needed
  * Fix wrong homepage URL. (Closes: #897090)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 22 Aug 2018 09:55:51 +0200

simgear (1:2018.1.1+dfsg-2) unstable; urgency=medium

  * Set maintainer e-mail address to team+flightgear@tracker.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 May 2018 09:51:08 +0200

simgear (1:2018.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.1.1+dfsg
    - Merge all packaging changes from experimental uploads
  * Add myself to Uploaders
  * Update Standards-Version to 4.1.4, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Apr 2018 12:22:17 +0200

simgear (1:2017.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use wrap-and-sort for d/control
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed
  * Remove unneeded Build-Depends: freeglut3-dev, libcurl-dev,
    libgl-dev, libglu-dev, libalut-dev, libice-dev, libjpeg-dev,
    libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxt-dev
  * Remove outdated versioned Build-Depends on cmake
  * Revert back to libopenscenegraph 3.2 on armel and armhf.
    The libopenscenegraph-3.4 version results in FTBFS errors
    on those two architectures.
  * Remove patch use_debian_udns, has been included upstream since
    version 2016.3.1
  * Fix two typos in patch descriptions
  * Switch Vcs-URLs to salsa.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Mar 2018 11:24:51 +0100

simgear (1:2018.1.1~rc+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Switch Vcs-URLs to salsa.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Mar 2018 12:41:46 +0100

simgear (1:2018.1.1~rc+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Remove unneeded Build-Depends: freeglut3-dev, libcurl-dev,
    libgl-dev, libglu-dev, libalut-dev, libice-dev, libjpeg-dev,
    libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxt-dev
  * Remove outdated versioned Build-Depends on cmake
  * Revert back to libopenscenegraph 3.2 on armel and armhf.
    The libopenscenegraph-3.4 version results in FTBFS errors
    on those two architectures.
  * Remove patch use_debian_udns, has been included upstream since
    version 2016.3.1
  * Fix two typos in patch descriptions

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Mar 2018 17:41:54 +0100

simgear (1:2018.1.1~rc+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2018.1.1~rc+dfsg
    - Refresh patches
    - Remove patch correct_http_test, no longer needed
  * Use wrap-and-sort for d/control
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 07 Mar 2018 23:12:51 +0100

simgear (1:2017.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Use libopenscenegraph 3.4 instead of 3.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Oct 2017 20:32:53 +0200

simgear (1:2017.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2017.3.1+dfsg
    - Refresh patches
    - Add description for spelling_fixes.patch
  * Update Standards-Version to 4.1.1
    - Use Priority: optional
    - Use HTTPS URL for d/copyright
  * Use debhelper v10
  * Debhelper uses --parallel by default in v10
  * Update URLs for Vcs-* fields
  * Add Multi-Arch: same

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 14 Oct 2017 15:42:53 +0200

simgear (1:2017.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches kfreebsd.patch, no_3rdparty.patch and
    disable_force_shared.patch.
  * Remove patch relax_version_check.patch, it's included upstream.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 16 Jul 2017 20:02:08 +0200

simgear (1:2016.4.4+dfsg-2) unstable; urgency=medium

  * Add patch correct_http_test.patch to fix an FTBFS due to test
    failures caused by incorrect use of std::remove_if.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 24 Jan 2017 19:59:52 +0100

simgear (1:2016.4.4+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Drop patch prevent_writing_arbitrary_files_a2b111bb.patch, it got
    included upstream.
  * Add backported patch relax_version_check.patch to allow individual
    patch upgrades without having to release all of the related
    flightgear packages.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 15 Jan 2017 20:14:40 +0100

simgear (1:2016.4.3+dfsg-2) unstable; urgency=high

  * Add patch prevent_writing_arbitrary_files_a2b111bb.patch to fix
    a security issue in the HTTPRepository code.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 18 Dec 2016 08:41:07 +0100

simgear (1:2016.4.3+dfsg-1) unstable; urgency=high

  * New upstream release: 2016.4.3. Should fix issues restoring variants
    in the launcher.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 14 Dec 2016 19:25:25 +0100

simgear (1:2016.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release: 2016.4.2.
  * Refreshed patches no_3rdparty.patch and disable_force_shared.patch.
  * Dropped patch use_debian_utfcpp.patch - simgear now relies on
    OSG to provide UTF8 capabilities.
  * Minor update to d/copyright.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 28 Nov 2016 20:38:43 +0100

simgear (1:2016.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch use_debian_udns.patch, it got included upstream and
    allows one to set SYSTEM_UDNS, instead.
  * Refresh patches disable_dns_test.patch, no_3rdparty.patch, and
    use_debian_utfcpp.patch.
  * Add patch disable_force_shared.patch to be able to build a static
    library even with SYSTEM_UDNS set.
  * Add patch spelling_fixes.patch.
  * Build with all hardening options enabled. Closes: #837452.
  * Update d/copyright.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 20 Sep 2016 22:26:44 +0200

simgear (1:2016.2.1+dfsg-6) unstable; urgency=low

  * Add a patch by Gianfranco Costamagna to disable a test requiring
    network access. Closes: #830262.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 07 Jul 2016 20:41:39 +0200

simgear (1:2016.2.1+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Upstream fixed gcc-6 incompatibility. Closes: #812014.
  * Add libcurl4-gnutls-dev as a real variant as opposed to
    libcurl-dev as hinted by lintian.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 28 Jun 2016 21:18:57 +0200

simgear (1:2016.2.1+dfsg-4) experimental; urgency=medium

  * Add hurd.patch. Closes: #825947.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 31 May 2016 20:54:28 +0200

simgear (1:2016.2.1+dfsg-3) experimental; urgency=medium

  * Prevent parallel execution of the test suite.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 30 May 2016 21:35:56 +0200

simgear (1:2016.2.1+dfsg-2) experimental; urgency=medium

  * Add missing libcurl-dev package dependency.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 30 May 2016 17:10:04 +0200

simgear (1:2016.2.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2016.2.1.
  * Bump S-V to 3.9.8; no changes required.
  * Drop the shared library packages as well as all of the automatic
    file generation that's not required anymore. Drop the
    corresponding install and shlibs files as well. Drop the
    soversion.patch.
  * Add a libsimgear-dbg package with all debugging symbols.
  * Add patches for skipping the 3rdparty directory entirely as well as
    for  using the system udns library.
  * Drop the soversion.patch again, revert to static-only builds, as
    discussed with upstream.
  * Update required debhelper version to 9.
  * Update watchfile to use sourceforge (via redirector).
  * Update copyright file, ignore all 3rdparty stuff from the original
    tarball and drop the now unused original MIT license paragraph, fix
    a spelling.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 23 May 2016 20:00:08 +0200

simgear (1:2016.1.0+git20160206+af0a51-1) experimental; urgency=medium

  * Preparing for upstream release 3.8 alias 2016.1.
  * Bump S-V to 3.9.7. No changes required.
  * Use https for Vcs-{Browser,Git}.
  * Adjust to the new upstream version: dependencies, .shlibs and
    .install files.
  * Update copyright file.
  * Drop patches md5_endianness.patch, naref_endianness.patch and
    vasi.patch: these issues got fixed upstream.
  * Add a preliminary soversion.patch for a more reasonable SONAME,
    still to be discussed with upstream. Adjust d/rules accordingly.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 02 Aug 2015 14:08:33 +0200

simgear (3.4.0-3) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Rename for gcc5 transition.

  [ Markus Wanner ]
  * Recompile with gcc5. Closes: #797944.
  * Drop the transitional simgear-dev package.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 10 Nov 2015 19:33:47 +0100

simgear (3.4.0-2) unstable; urgency=medium

  * Really drop the conflicts against simgear0 (in control.in).

 -- Markus Wanner <markus@bluegap.ch>  Wed, 20 May 2015 21:08:44 +0200

simgear (3.4.0-1) unstable; urgency=medium

  [ Markus Wanner ]
  * Upload 3.4.0 to unstable.
  * Drop the conflicts against simgear0, it's no longer needed.
  * Drop the deprecated JPEG_FACTORY cmake option and correctly
    provide SIMGEAR_SHARED (w/o the CMAKE_ prefix).

  [ Rebecca N. Palmer ]
  * Add vasi.patch from upstream.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 20 May 2015 20:13:05 +0200

simgear (3.4.0-0~exp1) UNRELEASED; urgency=medium

  [ Markus Wanner ]
  * New upstream release 3.4.0.
  * Update debian/watch.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 18 Feb 2015 20:11:41 +0100

simgear (3.4.0~git20150211+eff3df-0~exp1) experimental; urgency=medium

  [ Markus Wanner ]
  * Add back naref_endianness.patch to fix FTBFS on arm64.
  * Update debian/copyright.
  * Use headers from utfcpp as provided by Debian.

  [ Rebecca N. Palmer ]
  * New upstream pre-release.
  * Update required libopenscenegraph-dev version.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 12 Feb 2015 18:03:01 +0100

simgear (3.2.0-1~exp1) experimental; urgency=low

  * New upstream release 3.2.0.
  * Adjust to the new upstream version: dependencies, .shlibs and
    .install files.
  * Drop patches invalid-utf8 and sgstream_test_fix_length; both got
    applied upstream.
  * Add patch md5_endianness.patch. Closes: #757919.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 23 Oct 2014 12:17:53 +0200

simgear (3.0.0-6) unstable; urgency=medium

  * Add kfreebsd.patch. Closes: #765818.
  * Bump S-V: no changes required.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 23 Oct 2014 11:37:25 +0200

simgear (3.0.0-5) unstable; urgency=medium

  * Simplify libjpeg dependency. Closes: #763493.
  * Add patch naref_endianness.patch to fix build on arm64.
    Closes: #761203.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 07 Oct 2014 09:53:01 +0200

simgear (3.0.0-4) unstable; urgency=low

  * Add patch invalid-utf8.patch. Closes: #750859.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 11 Jun 2014 18:17:10 +0200

simgear (3.0.0-3) unstable; urgency=low

  * Drop the BSD-with-advertising-clause from debian/copyright - upstream
    removed the files for the 3.0 release. Closes: #737733.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 07 Apr 2014 19:01:15 +0200

simgear (3.0.0-2) unstable; urgency=medium

  * Recompile for openscenegraph in sid.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 20 Feb 2014 18:05:27 +0100

simgear (3.0.0-1) unstable; urgency=medium

  [ Markus Wanner ]
  * New upstream release.
  * Drop the md5 replacement patch - applied upstream.
  * Adjust watchfile to properly account for release candidates.

  [ Rebecca Palmer ]
  * Replace sgstream_ignore_write_error.patch with a real fix in
    sgstream_test_fix_length.patch and respect test suite results, again.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 19 Feb 2014 08:35:13 -0800

simgear (3.0.0~git20140204+c99ea4-1) unstable; urgency=low

  [ Markus Wanner ]
  * New intermediate snapshot pre 3.0.0.
  * Update debian/copyright. (Doesn't quite close #737733, though).
  * Temporarily ignore test suite failures to unblock the openscenegraph
    transition.
  * Add a patch to replace the given md5 implementation.

  [ Rebecca Palmer ]
  * Don't fail stream test if unable to set up test file.
  * Enable verbose test output.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 06 Feb 2014 21:19:24 +0100

simgear (3.0.0~git20140123+f16c99-1) unstable; urgency=low

  * New upstream release.
  * Automate adjustment of .install and .shlibs via clean target in
    debian/rules.
  * Bump Standards-Version to 3.9.5; no changes needed.
  * Drop patch cppbind-charsignedness.diff, it got applied upstream.
  * Drop the libsvn-dev dependency, simgear now provides its own svn
    client.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 22 Jan 2014 22:48:02 +0100

simgear (2.12.0-1) experimental; urgency=low

  * New upstream release.
  * Adjust .install and .shlibs files accordingly.
  * Drop patches gcc-macro-correction.diff, osg-compat.diff,
    CVE-2012-2090.diff CVE-2012-2091.diff. These got applied upstream.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 22 Sep 2013 21:15:48 +0200

simgear (2.10.0-6) unstable; urgency=low

  * Keep using strict-aliasing on mipsel.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 20 Sep 2013 23:04:01 +0200

simgear (2.10.0-5) unstable; urgency=low

  * Drop a superfluous ${shlibs:Depends}.
  * Accept libopenscenegraph-3.2.0~rc1, again, as per discussion with OSG
    maintainers.
  * Use no-strict-aliasing for big-endian architectures, as recommended by
    Rebecca Palmer. Closes: #722115

 -- Markus Wanner <markus@bluegap.ch>  Fri, 20 Sep 2013 20:13:10 +0200

simgear (2.10.0-4) unstable; urgency=low

  * Mark libopenscenegraph-3.2.0~rc1 as breaking simgear: it uses a
    library major version different from the final 3.2.0 series.
  * Add patch cppbind-charsignedness.diff to fix test failures on
    at least armel.
  * Add .shlib files so we at least have these.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 13 Sep 2013 17:57:03 +0200

simgear (2.10.0-3) unstable; urgency=low

  * Correct an off-by-one bug in patch CVE-2012-2091.diff.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 08 Sep 2013 10:25:53 +0200

simgear (2.10.0-2) unstable; urgency=low

  [ Scott Kitterman ]
  * Fix for CVE-2012-2091: add checks against buffer overruns in
    sg_socket_udp.cxx when reading from UDP sockets.

  [ Markus Wanner ]
  * Fix for CVE-2012-2090: prevent %n being passed to format
    strings. Together with the above fix, this closes: #669024.
  * Update copyright file. Now in DEP-5 style.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 07 Sep 2013 21:18:10 +0200

simgear (2.10.0-1) experimental; urgency=low

  * New upstream release. (Closes: #718380, #701357)
  * Rename to prepend 'lib' and split into separate core and scene
    packages, so that the SONAME matches the package name.
  * Drop patch nasal-endian.patch, it got applied upstream.
  * Cleanup build dependencies: remove obsolete ORed deps:
    xlibmesa-gl-dev, xlibmesa-glu-dev, libglu1-xorg-dev.
  * Update Standards-Version to 3.9.4, no changes.
  * Use dpkg-buildflags for proper hardening, pass the flags via
    CMAKE_FLAGS.
  * Use build type RelWithDebInfo and verbose makefile generation.
  * Add patch osg-compat.diff for compatibility with OSG 3.1.8 and newer.
  * Compile against the system's expat library. Closes: #560937.
  * control: let VCS point to new git repo in collab-maint
  * Bump compat level to 8.
  * rules: rewrite to use dh7, simplify a lot, drop the static libraries
    from the -dev package.
  * Add myself as an uploader.
  * Add patch gcc-macro-correction.diff for compatibility with boost1.53.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 28 Aug 2013 09:26:38 +0200

simgear (2.6.0-3) unstable; urgency=low

  * Build-Depend on debhelper 8.1.3.
  * Changed debian/rules to give /usr/lib/$(DEB_HOST_MULTIARCH)
    instead of /usr/lib/* to dh_install, to maybe ease any backports.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 05 Aug 2012 18:01:16 +0200

simgear (2.6.0-2) unstable; urgency=low

  * Added multi-arch control fields to debian/control,
    and build-arch/build-indep rules to debian/rules.
  * While at it, also updated Standards-Version to 3.9.3.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jul 2012 12:56:08 +0200

simgear (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on cmake. No longer depend on autotools-dev.
  * Updated debian/rules for the new cmake-based build
    system used by upstream, and cleaned it up a bit.
  * Used upstream's new SIMGEAR_SHARED build option to
    build the shared libraries. Deleted the previous
    debian/sorules stuff.
  * Switched source package format to 3.0 (quilt).
  * Removed libplib-dev from the build-dependencies
    and simgear-dev dependencies.
  * Added the "Thanks" file to debian/docs.
  * Updated debian/watch, the mirror is now ibiblio.org.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 16 Jul 2012 00:55:25 +0200

simgear (2.4.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * simgear/math/SGMisc.hxx: Include <cmath> for floor.  Closes: #667373.

 -- Matej Vela <vela@debian.org>  Sun, 20 May 2012 00:10:51 +0100

simgear (2.4.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": apply patch from Matthias Klose:
    add this-> qualifier in simgear/structure/SGExpression.hxx.
    (Closes: #667373)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 May 2012 16:45:34 +0200

simgear (2.4.0-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * simgear/structure/Singleton.hxx: Inline copy of
    boost/pool/detail/singleton.hpp by copy of that file, since it is no
    longer present in boost post 1.47.  Closes: #652788, #652775, #652797.

 -- Steve M. Robbins <smr@debian.org>  Sun, 29 Jan 2012 23:19:58 -0600

simgear (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on OpenSceneGraph 3.0, and the Subversion library.
  * Updated debian/deps.py and debian/sorules to also make it
    possible to add redundant dependencies, not just drop them.
    Because breaking circular dependencies cause some libraries
    to be underlinked, sometimes this must be compensated by
    overlinking others, to ensure FlightGear remains buildable.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 03 Sep 2011 21:41:04 +0200

simgear (2.0.0-4) unstable; urgency=low

  * Quickfix for subtle memory management bug in SimGear, apparently
    not discovered or fixed upstream yet. But it seems to me this
    thing must almost have been working by pure luck all this time...
    Closes: #636121.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 31 Jul 2011 22:43:05 +0200

simgear (2.0.0-3) unstable; urgency=low

  * Backported a bunch of upstream commits (from their git tree)
    for support of newer versions of OpenSceneGraph:
    1ca1f6a 9a96018 7308486 df6badf 956b440 bfe953c 49f418f
    Closes: #634088
  * Backported upstream commit for missing -ldl: d81545a
    Closes: #556348, #622059
  * Applied patch for SuperH support. Closes: #572428

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 21 Jul 2011 15:01:44 +0200

simgear (2.0.0-2) unstable; urgency=low

  * Fixed circular dependencies in debian/sorules that were dropped
    non-deterministically by GNU Make, causing subtle misbuilds.
    Closes: #609439.
  * Note to self: always remember to use pbuilder. Closes: #609511.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 11 Jan 2011 03:50:33 +0100

simgear (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add a couple of ${misc:Depends} to debian/control.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 08 Oct 2010 10:44:32 +0200

simgear (1.9.1-2) unstable; urgency=low

  * Updated debian/copyright.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 12 Jul 2009 22:21:32 +0200

simgear (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control, sorules, and things for SimGear 1.9.1.
    This includes depending on plib 1.8.5. Closes: #528637, #530638.
  * debian/rules now supports parallellized builds, and building
    out of a svn checkout. It also cleans up a bit better.
  * Added Vcs-Browser and Vcs-Svn fields to debian/control.
  * Converted debian/watch to version 3. Closes: #529139.
  * Added patch to compile with g++ 4.4. Closes: #505019.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 14 Jun 2009 20:38:10 +0200

simgear (1.0.0-4) unstable; urgency=low

  * Made the pkg-fgfs-crew mailing list the official maintainer of the
    SimGear package, and myself a mere uploader.
  * Updated libglut3-dev build-dependency to freeglut3-dev.
    Closes: #394503.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jun 2008 12:20:45 +0200

simgear (1.0.0-3) unstable; urgency=low

  * Added Homepage field.
  * Upgraded Standards-Version to 3.7.3.
  * Changed the generated sonames to contain the full version of the
    package, rather than just the major version. (Upstream doesn't care
    about shared libraries and a stable ABI.)
  * Accordingly, renamed the shared-library package to simgear1.0.0,
    and make it conflict with simgear0.
  * Use debian/compat file instead of setting DH_COMPAT in debian/rules.
    Upgraded DH build-dependency and compatibility level to 5.
  * Removed usage of dh_testversion.
  * Use ${binary:Version} instead of ${Source-Version} in debian/control.
  * Set optimization level according to DEB_BUILD_OPTIONS.
  * Implemented a system to add dependency information to the generated
    .so files, so linking against one of them will pull in whatever else
    is needed from simgear or plib. Because of circular dependencies,
    this isn't perfect, but I think I at least achieved my goal of making
    it possible for stuff to link against SimGear without having to tweak
    makefiles.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 08 Apr 2008 08:42:41 +0200

simgear (1.0.0-2) unstable; urgency=low

  * Add definitions for Alpha, HPPA, and S/390 to nasal/naref.h,
    thanks to Steve Langasek. This should fix FTBFS on those
    platforms. (Unfortunately, upstream currently doesn't appear
    willing to fix their stuff themselves.) Closes: #461399.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 23 Feb 2008 05:33:40 +0100

simgear (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 22 Dec 2007 15:24:54 +0100

simgear (0.3.10-2) unstable; urgency=low

  * Updated the build dependencies for xorg 7.0. Apparently the
    amd64 autobuilder doesn't use Provides. Closes: #366223.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed, 17 May 2006 17:09:32 -0400

simgear (0.3.10-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.10.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri,  5 May 2006 20:21:37 -0400

simgear (0.3.9-3) unstable; urgency=low

  * Apply patch from Martin Michlmayr for g++ 4.1 build failure.
    Closes: #356606.
  * Build-Depend on libalut-dev, bump flightgear versioned conflict
    (so that a flightgear built with libalut-dev is required too).

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 19 Mar 2006 06:11:36 -0500

simgear (0.3.9-2) unstable; urgency=low

  * RenderTexture.cpp is updated to revision 1.16 from upstream CVS,
    in order to support DRI (which is not able to render to texture).
    Closes: #348268.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 30 Jan 2006 05:34:32 -0500

simgear (0.3.9-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.9.
  * Updated debian/copyright to note that the new
    render-to-texture code is using a BSD-style license
    (which appears to be the zlib/libpng license).
    Also changed it to no longer say that the GPL covers
    a little of this library - it actually covers a lot.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon,  2 Jan 2006 15:58:09 -0500

simgear (0.3.8-2) unstable; urgency=low

  * Allright then, if you absolutely insist on a gcc 4.0-compiled
    package before the next upstream release. Mumble.
    Updated Conflicts line to ensure proper flightgear upgrade,
    no source changes. Closes: #319229.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 25 Jul 2005 01:55:18 -0400

simgear (0.3.8-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.8.
  * Changed Build-Depends to depend on plib1.8.4-dev.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 27 Mar 2005 21:56:34 -0500

simgear (0.3.7-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.6.
  * Added autotools-dev to the build-deps and copy
    config.sub and config.guess from it from debian/rules.
  * Added --with-jpeg-factory configure option. Closes: #273559.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 30 Jan 2005 15:27:06 -0500

simgear (0.3.6-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.5.
  * Upstream seem to have switched to OpenAL.
    Added build dependency on libopenal-dev.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 16 Aug 2004 21:08:52 +0200

simgear (0.3.5-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.4.
  * Changed Build-Depends for new xlibs package layout.
  * Changed Build-Depends to depend on plib1.8.3-dev.
  * Removed MetaKit build-dependency, simgear apparently
    stopped using it in 0.3.4.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed,  7 Apr 2004 10:48:44 +0200

simgear (0.3.4-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.3.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun,  9 Nov 2003 23:12:23 +0100

simgear (0.3.3-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.2.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri,  6 Jun 2003 02:14:12 +0200

simgear (0.3.1-2) unstable; urgency=low

  * Rebuilt with metakit 2.4.9.2.

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 17 Apr 2003 11:51:25 +0200

simgear (0.3.1-1) unstable; urgency=low

  * New upstream release, for flightgear 0.9.0.

 -- Ove Kaaven <ovek@arcticnet.no>  Thu,  5 Dec 2002 02:41:46 +0100

simgear (0.2.0-1) unstable; urgency=low

  * New upstream release, for flightgear 0.8.0.
  * Disabled JPEG image factory support again since its sources
    aren't in the upstream tarball anymore for some reason.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon,  9 Sep 2002 18:48:40 +0200

simgear (0.0.18-1) unstable; urgency=low

  * New upstream release, for flightgear 0.7.10.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 27 Apr 2002 19:26:02 +0200

simgear (0.0.17-2) unstable; urgency=low

  * Rebuilt with metakit 2.4.3.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed, 27 Mar 2002 21:24:21 +0100

simgear (0.0.17-1) unstable; urgency=low

  * New upstream release, for flightgear 0.7.9.
    Good, this release don't try to compile metakit on its own anymore.
  * Make sure to conflict with flightgear (<< 0.7.9) to avoid the
    mess I got in the testing distribution last time.
  * Updated copyright file, after discovering that many files are
    marked with a GPL copyright, though the official license is LGPL.
  * Compiled with JPEG image factory support for the heck of it.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 17 Feb 2002 11:56:57 +0100

simgear (0.0.16-2) unstable; urgency=low

  * Ensure that the embedded metakit's configure script is
    not run (it should use the libmetakit-dev I build-depend
    on anyway, not the embedded one).

 -- Ove Kaaven <ovek@arcticnet.no>  Wed,  7 Nov 2001 21:17:49 +0100

simgear (0.0.16-1) unstable; urgency=low

  * New upstream release, for flightgear 0.7.8.
  * Build-depend on plib >= 1.4.1.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 14 Jul 2001 20:43:35 +0200

simgear (0.0.15-1) unstable; urgency=low

  * New upstream release, for flightgear 0.7.7.
  * Added -V option to dh_makeshlibs, so dependencies gets versioned.
  * Made simgear-dev depend on the current simgear0 version.
  * Build-depend on debhelper v3.
  * Standards-Version upgraded to 3.5.5.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 22 Jun 2001 16:45:55 +0200

simgear (0.0.14-3) unstable; urgency=low

  * Fixed some garbage in debian/control.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat,  3 Mar 2001 17:51:07 +0100

simgear (0.0.14-2) unstable; urgency=low

  * Rebuilt with debhelper v3, to fix the "ldconfig in postinst"
    I had forgotten.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 19 Feb 2001 20:17:13 +0100

simgear (0.0.14-1) unstable; urgency=low

  * Initial Release.
  * Did some involved stuff in debian/rules to build shared libs
    (upstream sources didn't). At least it looks more elegant than
    plib's method of doing same...

 -- Ove Kaaven <ovek@arcticnet.no>  Tue,  6 Feb 2001 13:06:57 +0100
